Search found 20 matches

by AlexYeCu
Fri Jan 01, 2016 10:19 pm
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

Thanx for quick response at january the 1st! I´ve modified a bit the loader to use compressed data, so, compressed files loads good now. Looks like there were some problem with nvcompress or I just do not know how to use it right: it compresses files and nvddsinfo says everything is ok. But the file...
by AlexYeCu
Fri Jan 01, 2016 11:04 am
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

The second file (gameover.dds) loads and displays fine for me. Hmm, just recoded some dds and got not result... Here is the repo: https://github.com/AlexYeCu/tge And there is a directory game inside of it. After love tour_download_directory/tge/game love 0.9.* starts the game (we can see a game fie...
by AlexYeCu
Thu Dec 31, 2015 10:41 am
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

One more dds file which do not alow a loveloader to load it:
https://github.com/AlexYeCu/tge/blob/ma ... meover.dds
Even recoding does not help (only to png).
love 0.10.0, everything works noce with love 0.9.*
by AlexYeCu
Thu Dec 31, 2015 9:56 am
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

Upping the topic cause of love 0.10.0. Looks like love 0.10.0 can not decode some dds files which can be decoded by love 0.9.* without problems. Files were encoded with gimp-dds tool, bc3/dxt5 format. According to this (got from the computer with problem) everything should work nice. EACr true PVR1r...
by AlexYeCu
Sat Dec 05, 2015 8:09 am
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

slime wrote:libtxc-dxtn
That is it! Thanx, everything is working now.
by AlexYeCu
Thu Dec 03, 2015 7:48 pm
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Re: Comperession of dds

>BC3/DXT5 should generally be used for most images Yes, I´m using it atm and I see no problems with nvidia cards, proprietary drivers. I have one report from intel´s card user. Everything can be loaded, all colors are correct, the only problem: textures limited at 2048x2048. And I have two reports f...
by AlexYeCu
Thu Dec 03, 2015 6:33 pm
Forum: Support and Development
Topic: Comperession of dds
Replies: 12
Views: 2256

Comperession of dds

love 0.9.2 With nvidia videocard I get these results: bc5 wrong colors bc4 red bc3 ok bc2 ok bc1a ok rxgb wrong colors (need some more steps?) YCoCg wrong colors (need some more steps?) But users of open source ati drivers and intel videocards says, textures are wrong or love2d even do not want to l...
by AlexYeCu
Mon Nov 09, 2015 7:09 pm
Forum: Games and Creations
Topic: The Great Experiment: At the debrises of the former world.
Replies: 10
Views: 2606

Re: The Great Experiment: At the debrises of the former worl

I am able to capture sound on Linux using alsa and snd-aloop (with the option PCM_SUBSTREAMS=1)…. Same result (no sound). In log: [alsa @ 0x20a6b00] ALSA buffer xrun. [x11grab @ 0x20b5720] Thread message queue blocking; consider raising the thread_queue_size option (current value: 8) Past duration ...
by AlexYeCu
Sun Nov 08, 2015 5:27 pm
Forum: Games and Creations
Topic: The Great Experiment: At the debrises of the former world.
Replies: 10
Views: 2606

Re: The Great Experiment: At the debrises of the former worl

Regarding audio capture on Linux: If you use pulseaudio I do not. I load snd-aloopback module. I`ve found out it`s possible to edit /etc/openal/alsoft.conf. After changing format to AL_FORMAT_STEREO16, layout to layout_STEREO = fl=-90, fr=90 and playback device to device = hw:2,0 (aloopback), I can...
by AlexYeCu
Sun Nov 08, 2015 11:28 am
Forum: Games and Creations
Topic: The Great Experiment: At the debrises of the former world.
Replies: 10
Views: 2606

Re: The Great Experiment: At the debrises of the former worl

Just so you know all versions of love use luajit and are made to work primarily with 5.1 your repo says to use 0.9.1 because 0.9.2 uses 5.3 which is inaccurate. Thanks for the reply, I should update the information. I have love 0.9.2, lua 5.3 and luajit installed atm. Everything works fine. UP: Gam...